Skip to content

getCustomerTypeItemPriceOverride

READ

Get customer type item price override.

POST /api/v1/sales/getCustomerTypeItemPriceOverride
curl -X POST '<your-host>/api/v1/sales/getCustomerTypeItemPriceOverride' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerTypeId": "string",
    "itemId": "string",
    "quantity": "string"
  }'
Response
{
  "id": "string",
  "quantity": 0,
  "overridePrice": 0,
  "notes": "string",
  "validFrom": "string",
  "validTo": "string",
  "applyRulesOnTop": true
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerTypeId": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "quantity": {},
    "date": {
      "type": "string"
    }
  },
  "required": [
    "customerTypeId",
    "itemId",
    "quantity"
  ]
}